package de.intevation.flys;

import org.hibernate.cfg.Configuration;

import org.hibernate.SessionFactory;

import de.intevation.flys.model.River;

import org.hibernate.dialect.resolver.DialectFactory;

import org.hibernate.dialect.Dialect;

public class App 
{
    public static void main(String [] args)
    throws Exception
    {
        Configuration cfg = new Configuration();

        System.err.println(cfg);

        cfg.addAnnotatedClass(River.class);

        String [] setupScript = cfg.generateSchemaCreationScript(
            DialectFactory.constructDialect(
                "org.hibernate.dialect.PostgreSQLDialect"));

        for (String line: setupScript) {
            System.out.println(line);
        }
            

        //SessionFactory sessionFactory = cfg.buildSessionFactory();

    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
